import { Component } from '@angular/core';

@Component({
  selector: '<%= selector %>',
  <% if(inlineTemplate) { %>template: `
    <div>
      <nz-select style="width: 120px;" [(ngModel)]="selectedValue" nzAllowClear nzPlaceHolder="Choose">
        <nz-option nzTips="hover jack" nzValue="jack" nzLabel="Jack">
          <a [href]="localhost" (click)="rightClick($event)" target="_blank">
            <span title="Go Jack">
              <i nz-icon class="blue-item" nzType="link" nzTheme="outline"></i>
              <span>外链1</span>
            </span>
          </a>
        </nz-option>
        <nz-option nzValue="lucy" nzLabel="Lucy">
          <a [href]="localhost" (click)="rightClick($event)" target="_blank">
            <span title="Go Lucy">
              <i nz-icon class="blue-item" nzType="link" nzTheme="outline"></i>
              <span>外链2</span>
            </span>
          </a>
        </nz-option>
        <nz-option nzValue="disabled" nzLabel="Disabled" nzDisabled></nz-option>
      </nz-select>
      <nz-select style="width: 120px;" [ngModel]="'lucy'" nzDisabled>
        <nz-option nzValue="lucy" nzLabel="Lucy"></nz-option>
      </nz-select>
      <nz-select style="width: 120px;" [ngModel]="'lucy'" nzLoading>
        <nz-option nzValue="lucy" nzLabel="Lucy"></nz-option>
      </nz-select>
    </div>
  `<% } else { %>templateUrl: './<%= dasherize(name) %>.component.html'<% } %>,
  <% if(inlineStyle) { %>styles: [`
      nz-select {
        margin-right: 8px;
      }
      .blue-item {
        color: #1890ff;
        margin: 0 5px;
      }
    `]<% } else { %>styleUrls: ['./<%= dasherize(name) %>.component.<%= style %>']<% } %>
})
export class <%= classify(name) %>Component {
  selectedValue = 'lucy';
  localhost = 'https://hao.360.com/';

  rightClick(e: Event): void {
    e.stopPropagation();
    e.cancelBubble = true;
  }
}
